<?php
/**
 * @file
 * Default theme implementation to image hotspot element.
 *
 * Available variables:
 * - $image: Image.
 * - $name: image hotspot field name.
 * - $value: image hotspot field value.
 * - $id: image hotspot field id.
 * - $hotspot_data: hotspot data.
 * - $linkable: true/false.
 */
?>

<div class="image-hotspot-edit">
    <label><?php echo t('Add image hotspots'); ?></label>
    <div class="image-hotspot-img"><?php echo $image; ?></div>

    <div class="image-hotspot-coordinates">
        <input type="hidden" name="<?php echo $name; ?>" value="<?php echo $value; ?>" id="<?php echo $id;?>">
    </div>

    <div class="image-hotspot-data"><?php echo $hotspot_data; ?></div>

    <div class="image-hotspot-form">
        <div class="image-hotspot-inputs">
            <div class="image-hotspot-data-item">
                <div class="img-hotspot-data-title"></div>
                <div class="img-hotspot-data-wrapper">
                    <label><?php echo t('Title'); ?></label><input class="img-hotspot-title" />
                    <label><?php echo t('Description'); ?></label><input class="img-hotspot-descr" />

                    <?php if ($linkable): ?>
                        <label><?php echo t('Link'); ?></label><input class="img-hotspot-link" />
                    <?php endif; ?>

                    <button class="img-hotspot-save"><?php echo t('Save'); ?></button>
                    <button class="img-hotspot-remove"><?php echo t('Remove'); ?></button>
                </div>
            </div>
        </div>

        <div class="image-hotspot-add"><button class="img-hotspot-add"><?php echo t('Add'); ?></button></div>
    </div>
</div>
